CVE-2016-8862

high
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

The AcquireMagickMemory function in MagickCore/memory.c in ImageMagick before 7.0.3.3 allows remote attackers to have unspecified impact via a crafted image, which triggers a memory allocation failure.

References

https://github.com/ImageMagick/ImageMagick/issues/271

https://bugzilla.redhat.com/show_bug.cgi?id=1387135

https://blogs.gentoo.org/ago/2016/10/17/imagemagick-memory-allocation-failure-in-acquiremagickmemory-memory-c/

http://www.securityfocus.com/bid/93794

http://www.openwall.com/lists/oss-security/2016/10/20/3

http://www.openwall.com/lists/oss-security/2016/10/20/2

http://www.debian.org/security/2016/dsa-3726

Details

Source: MITRE

Published: 2017-02-15

Updated: 2021-04-26

Type: CWE-119

Risk Information

CVSS v2

Base Score: 6.8

Vector: AV:N/AC:M/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 8.6

Severity: MEDIUM

CVSS v3

Base Score: 8.8

Vector: CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Impact Score: 5.9

Exploitability Score: 2.8

Severity: HIGH

Tenable Plugins

View all (12 total)

IDNameProductFamilySeverity
96133openSUSE Security Update : ImageMagick (openSUSE-2016-1512)NessusSuSE Local Security Checks
high
96051Debian DLA-756-1 : imagemagick security updateNessusDebian Local Security Checks
high
95751openSUSE Security Update : ImageMagick (openSUSE-2016-1445)NessusSuSE Local Security Checks
high
95749openSUSE Security Update : ImageMagick (openSUSE-2016-1443)NessusSuSE Local Security Checks
high
95704openSUSE Security Update : GraphicsMagick (openSUSE-2016-1430)NessusSuSE Local Security Checks
critical
95514FreeBSD : ImageMagick7 -- multiple vulnerabilities (e1f67063-aab4-11e6-b2d3-60a44ce6887b)NessusFreeBSD Local Security Checks
high
95453SUSE SLES11 Security Update : ImageMagick (SUSE-SU-2016:2964-1)NessusSuSE Local Security Checks
critical
95427Ubuntu 12.04 LTS / 14.04 LTS / 16.04 LTS / 16.10 : imagemagick vulnerabilities (USN-3142-1)NessusUbuntu Local Security Checks
high
95422SUSE SLED12 / SLES12 Security Update : ImageMagick (SUSE-SU-2016:2952-1)NessusSuSE Local Security Checks
high
95362Debian DSA-3726-1 : imagemagick - security updateNessusDebian Local Security Checks
high
94947openSUSE Security Update : ImageMagick (openSUSE-2016-1312)NessusSuSE Local Security Checks
high
94946openSUSE Security Update : GraphicsMagick (openSUSE-2016-1311)NessusSuSE Local Security Checks
high